[
    {
        "Id": "eaf6e00f87ebdb9d954be9bd0242bca1cfc4f24a6ff84aba3c54f24f695a42d8",
        "Created": "2025-08-19T15:05:45.133317346Z",
        "Path": "docker-entrypoint.sh",
        "Args": [
            "postgres"
        ],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 4046,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-22T21:11:22.506322371Z",
            "FinishedAt": "2025-08-22T21:11:19.773104182Z",
            "Health": {
                "Status": "healthy",
                "FailingStreak": 0,
                "Log": [
                    {
                        "Start": "2025-08-24T11:28:06.566569672-04:00",
                        "End": "2025-08-24T11:28:06.692828259-04:00",
                        "ExitCode": 0,
                        "Output": "/var/run/postgresql:5432 - accepting connections\n"
                    },
                    {
                        "Start": "2025-08-24T11:28:11.694508613-04:00",
                        "End": "2025-08-24T11:28:11.822522719-04:00",
                        "ExitCode": 0,
                        "Output": "/var/run/postgresql:5432 - accepting connections\n"
                    },
                    {
                        "Start": "2025-08-24T11:28:16.823130983-04:00",
                        "End": "2025-08-24T11:28:16.967013034-04:00",
                        "ExitCode": 0,
                        "Output": "/var/run/postgresql:5432 - accepting connections\n"
                    },
                    {
                        "Start": "2025-08-24T11:28:21.968278325-04:00",
                        "End": "2025-08-24T11:28:22.100662843-04:00",
                        "ExitCode": 0,
                        "Output": "/var/run/postgresql:5432 - accepting connections\n"
                    },
                    {
                        "Start": "2025-08-24T11:28:27.101553077-04:00",
                        "End": "2025-08-24T11:28:27.207455222-04:00",
                        "ExitCode": 0,
                        "Output": "/var/run/postgresql:5432 - accepting connections\n"
                    }
                ]
            }
        },
        "Image": "sha256:56a5b20c7a157dbb94149ba3cce70da76f02e1645dec234379709ddaebe607ea",
        "ResolvConfPath": "/var/snap/docker/common/var-lib-docker/containers/eaf6e00f87ebdb9d954be9bd0242bca1cfc4f24a6ff84aba3c54f24f695a42d8/resolv.conf",
        "HostnamePath": "/var/snap/docker/common/var-lib-docker/containers/eaf6e00f87ebdb9d954be9bd0242bca1cfc4f24a6ff84aba3c54f24f695a42d8/hostname",
        "HostsPath": "/var/snap/docker/common/var-lib-docker/containers/eaf6e00f87ebdb9d954be9bd0242bca1cfc4f24a6ff84aba3c54f24f695a42d8/hosts",
        "LogPath": "/var/snap/docker/common/var-lib-docker/containers/eaf6e00f87ebdb9d954be9bd0242bca1cfc4f24a6ff84aba3c54f24f695a42d8/eaf6e00f87ebdb9d954be9bd0242bca1cfc4f24a6ff84aba3c54f24f695a42d8-json.log",
        "Name": "/appflowy-cloud-postgres-1",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": null,
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "appflowy-cloud_default",
            "PortBindings": {},
            "RestartPolicy": {
                "Name": "on-failure",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "Mounts": [
                {
                    "Type": "volume",
                    "Source": "appflowy-cloud_postgres_data",
                    "Target": "/var/lib/postgresql/data",
                    "VolumeOptions": {}
                }
            ],
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "eaf6e00f87ebdb9d954be9bd0242bca1cfc4f24a6ff84aba3c54f24f695a42d8",
                "LowerDir": "/var/snap/docker/common/var-lib-docker/overlay2/f118f79b5429dab3270ac38f16dda90a55b7f94b91dff10fdc0e4f6b4e08b3ae-init/diff:/var/snap/docker/common/var-lib-docker/overlay2/965e25ad60d62cb2c506e28595406a26e0fbe5ec280b33fcee6aa75158310d27/diff:/var/snap/docker/common/var-lib-docker/overlay2/03d106eabd24d5eb1eda42deed25e8ae119cad7615971153952a4bac675eca3c/diff:/var/snap/docker/common/var-lib-docker/overlay2/76aa3b834d10eb5be7eb7cbc5c3a02f2712c3d5fb675878516c2d7f1fb74a323/diff:/var/snap/docker/common/var-lib-docker/overlay2/409c6bd698963d6a7404f4554d750ea61645fb14db90fa7dafb4f7afd8759598/diff:/var/snap/docker/common/var-lib-docker/overlay2/50be86c78a548a79939be64f34475eacb6e155fc8f45fdaef18f766c0924fa52/diff:/var/snap/docker/common/var-lib-docker/overlay2/468cd23172cfcb7cc2773860fd98e7c246929f97e00304f30a6871573e895f06/diff:/var/snap/docker/common/var-lib-docker/overlay2/daf067de424592467edffdcc224d411aac584faae932160f5404d07493bd5227/diff:/var/snap/docker/common/var-lib-docker/overlay2/a47f026ed2711325c6fefd916239bd3845ebf4551385eadbf73fe23316b1bb22/diff:/var/snap/docker/common/var-lib-docker/overlay2/3fc1965e06181d8d87e88fb50d50c8a9b91c42b865f6c925b2b78609a03501a0/diff:/var/snap/docker/common/var-lib-docker/overlay2/60a09c362adc935d939570050ec7551f178cceed7c4f3cbffaeb1757323bbf54/diff:/var/snap/docker/common/var-lib-docker/overlay2/e688eb61b2b3ce49f41c2e412f20d34327582df5c439893f1e4ef554145e9c7a/diff:/var/snap/docker/common/var-lib-docker/overlay2/24c66ec01349e63bb23529068c67519399a5ff6269f40d99735e192f2e6e52f7/diff:/var/snap/docker/common/var-lib-docker/overlay2/5d63b403ffd64d25325cfaa6cde88ed70ed93df9c2694a519a1a03a6f4f7d5e6/diff:/var/snap/docker/common/var-lib-docker/overlay2/cb764bb09fc7eca1efb8a7c23e311ef93e6334f584bde5b19f4545a25518bc95/diff:/var/snap/docker/common/var-lib-docker/overlay2/8fe8160880ba694dc34f58153672df5ca349bcc2b3d2fcd0d67ea5bc1a35c0eb/diff:/var/snap/docker/common/var-lib-docker/overlay2/fc99b5eb3905f8b361f87d3816589c87865a1906e99c03bf5fa6c122ee114336/diff",
                "MergedDir": "/var/snap/docker/common/var-lib-docker/overlay2/f118f79b5429dab3270ac38f16dda90a55b7f94b91dff10fdc0e4f6b4e08b3ae/merged",
                "UpperDir": "/var/snap/docker/common/var-lib-docker/overlay2/f118f79b5429dab3270ac38f16dda90a55b7f94b91dff10fdc0e4f6b4e08b3ae/diff",
                "WorkDir": "/var/snap/docker/common/var-lib-docker/overlay2/f118f79b5429dab3270ac38f16dda90a55b7f94b91dff10fdc0e4f6b4e08b3ae/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "volume",
                "Name": "appflowy-cloud_postgres_data",
                "Source": "/var/snap/docker/common/var-lib-docker/volumes/appflowy-cloud_postgres_data/_data",
                "Destination": "/var/lib/postgresql/data",
                "Driver": "local",
                "Mode": "z",
                "RW": true,
                "Propagation": ""
            }
        ],
        "Config": {
            "Hostname": "eaf6e00f87eb",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "5432/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "POSTGRES_HOST=postgres",
                "POSTGRES_USER=postgres",
                "POSTGRES_DB=postgres",
                "POSTGRES_PASSWORD=password",
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/lib/postgresql/16/bin",
                "GOSU_VERSION=1.17",
                "LANG=en_US.utf8",
                "PG_MAJOR=16",
                "PG_VERSION=16.10-1.pgdg12+1",
                "PGDATA=/var/lib/postgresql/data"
            ],
            "Cmd": [
                "postgres"
            ],
            "Healthcheck": {
                "Test": [
                    "CMD",
                    "pg_isready",
                    "-U",
                    "postgres",
                    "-d",
                    "postgres"
                ],
                "Interval": 5000000000,
                "Timeout": 5000000000,
                "Retries": 12
            },
            "Image": "pgvector/pgvector:pg16",
            "Volumes": {
                "/var/lib/postgresql/data": {}
            },
            "WorkingDir": "",
            "Entrypoint": [
                "docker-entrypoint.sh"
            ],
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "85f6bb0293d9ae5704eb615659aef722a4288e0ca9dbc764a9f4928430ca9150",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "",
                "com.docker.compose.image": "sha256:56a5b20c7a157dbb94149ba3cce70da76f02e1645dec234379709ddaebe607ea",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "appflowy-cloud",
                "com.docker.compose.project.config_files": "/home/jon/AppFlowy-Cloud/docker-compose.yml",
                "com.docker.compose.project.working_dir": "/home/jon/AppFlowy-Cloud",
                "com.docker.compose.replace": "cfb85645459e629839140e4916580cb60e85221852b25782436eeac2017c23dd",
                "com.docker.compose.service": "postgres",
                "com.docker.compose.version": "2.33.1"
            },
            "StopSignal": "SIGINT"
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "e9277dbbec62bc35e61a84a22564393cc1ce2170e5759bfb53522b4186099865",
            "SandboxKey": "/run/snap.docker/netns/e9277dbbec62",
            "Ports": {
                "5432/tcp": null
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "appflowy-cloud_default": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "appflowy-cloud-postgres-1",
                        "postgres"
                    ],
                    "MacAddress": "62:25:54:da:9a:e8",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "97af1691b8d266f4c650dc087b71a4fba5d8b364642e765f132c5c8c3100b74c",
                    "EndpointID": "ef72230104e7ecc8ff4a67d0e4543585fe5cfd48aa5f3119e856a43361292bbc",
                    "Gateway": "172.20.0.1",
                    "IPAddress": "172.20.0.8",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "appflowy-cloud-postgres-1",
                        "postgres",
                        "eaf6e00f87eb"
                    ]
                }
            }
        }
    }
]
